io.vertx.ext.web.handler

## Enum LoggerFormat

- java.lang.Object
- - java.lang.Enum<LoggerFormat>
  - - io.vertx.ext.web.handler.LoggerFormat

- All Implemented Interfaces:
    Serializable, Comparable<LoggerFormat>

      public enum LoggerFormat
      extends Enum<LoggerFormat>

  The possible out of the box formats.
  Author:
    Paulo Lopes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` remote-client - - [timestamp] "method uri version" status content-length "referrer" "user-agent"
    `SHORT` remote-client - method uri version status content-length duration ms
    `TINY` method uri status - content-length duration

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LoggerFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LoggerFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final LoggerFormat DEFAULT

      remote-client - - [timestamp] "method uri version" status content-length "referrer" "user-agent"

    - #### SHORT

          public static final LoggerFormat SHORT

      remote-client - method uri version status content-length duration ms

    - #### TINY

          public static final LoggerFormat TINY

      method uri status - content-length duration

  - ### Method Detail

    - #### values

          public static LoggerFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoggerFormat c : LoggerFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoggerFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016. All rights reserved.